# 5.2.1

Release date: `2021-05-21`

## Core

- [NXDRIVE-2217](https://jira.nuxeo.com/browse/NXDRIVE-2217): Use the PRAGMA `user_version` to store the database version
- [NXDRIVE-2641](https://jira.nuxeo.com/browse/NXDRIVE-2641): Skip local folder checks on starting when the sync is disabled
- [NXDRIVE-2643](https://jira.nuxeo.com/browse/NXDRIVE-2643): Start the `Engine` right after account addition when the sync is disabled
- [NXDRIVE-2644](https://jira.nuxeo.com/browse/NXDRIVE-2644): Check extended attributes support when adding account
- [NXDRIVE-2645](https://jira.nuxeo.com/browse/NXDRIVE-2645): Gracefully handle processor releasing issues
- [NXDRIVE-2646](https://jira.nuxeo.com/browse/NXDRIVE-2646): Fix "database or disk is full" SQLite error
- [NXDRIVE-2647](https://jira.nuxeo.com/browse/NXDRIVE-2647): Handle server denying access to Nuxeo Drive operations
- [NXDRIVE-2648](https://jira.nuxeo.com/browse/NXDRIVE-2648): Handle invalid data returned by the server when uploading a chunk

### Direct Transfer

- [NXDRIVE-2650](https://jira.nuxeo.com/browse/NXDRIVE-2650): Fix the CSV export button click area

## GUI

- [NXDRIVE-2651](https://jira.nuxeo.com/browse/NXDRIVE-2651): Disable the local folder systray button when synchronization is disabled

## Minor Changes

- Upgraded `nuxeo` from 6.0.0 to 6.0.1
- Upgraded `pefile` from 2019.4.18 to 2021.5.13
- Upgraded `watchdog` from 2.1.1 to 2.1.2

## Technical Changes

- Removed `AbstractOSIntegration.is_partition_supported()`.
- Added `ConfigurationDAO.get_schema_version()`.
- Added `ConfigurationDAO.set_schema_version()`.
- Removed `ConfigurationDAO.get_schema_version()`.
- Removed `DarwinIntegration.is_partition_supported()`.
- Removed `EngineDAO.get_schema_version()`. Use `.schema_version` instead.
- Removed `ManagerDAO.get_schema_version()`. Use `.schema_version` instead.
- Removed `WindowsIntegration.is_partition_supported()`.
- Added exceptions.py::`AddonForbiddenError`
- Removed exceptions.py::`InvalidDriveException`
- Renamed engine/engine.py::`FsMarkerException` to exceptions.py::`MissingXattrSupport`
